{ pkgs, ... }:

let
  _theme = import ../theme;
  theme = _theme.theme; # Theme name
in {
  programs.rofi = {
    enable = true;
    inherit theme;
  };
  home.file.".config/rofi/${theme}.rasi".source = pkgs.replaceVarsWith ({
    src = ./theme.rasi;
    replacements = with _theme.colors; { inherit fg0 fg1 bg0 bg1 primary; };
  });
}
